Bug 346386

Summary: Updated syntax highlighting file for J programming language
Product: [Applications] kate Reporter: Igor Zhuravlov <zhuravlov.ip>
Component: syntaxAssignee: KWrite Developers <kwrite-bugs-null>
Status: RESOLVED FIXED    
Severity: wishlist CC: walch.martin, zhuravlov.ip
Priority: NOR    
Version: unspecified   
Target Milestone: ---   
Platform: Other   
OS: All   
Latest Commit: Version Fixed In:
Attachments: syntax highlighting rules XML file
J script for test
screenshot of test.ijs viewing
syntax highlighting rules XML file

Description Igor Zhuravlov 2015-04-20 08:54:54 UTC
I'd like to share new version of syntax highlighting file for J programming language. Files attached:
- j.xml with syntax highlighting rules,
- test.ijs J script for test,
- Kate-screenshot-test.png screenshot for check.

Reproducible: Always




File was verified ok with command:
  xmllint --dtdvalid language.dtd j.xml
First version was published as bug #316936.
Comment 1 Igor Zhuravlov 2015-04-20 08:56:53 UTC
Created attachment 92125 [details]
syntax highlighting rules XML file

version 1.4
Comment 2 Igor Zhuravlov 2015-04-20 08:58:11 UTC
Created attachment 92126 [details]
J script for test
Comment 3 Igor Zhuravlov 2015-04-20 08:58:48 UTC
Created attachment 92127 [details]
screenshot of test.ijs viewing
Comment 4 Martin Walch 2015-04-27 22:32:52 UTC
The spellChecking attribute needs the language tag to be at least kateversion="3.4" (i. e. all versions back to KDE 4.4.0 will still be able to download the new file).
Comment 5 Igor Zhuravlov 2015-04-29 05:58:07 UTC
Created attachment 92315 [details]
syntax highlighting rules XML file

language/@kateversion upgraded from "2.4" to "3.4"
Comment 6 Christoph Cullmann 2015-08-01 16:53:46 UTC
Git commit 58d60c97ab1fb950a7bf257e2681b55aa4298d8e by Christoph Cullmann.
Committed on 01/08/2015 at 16:53.
Pushed by cullmann into branch 'master'.

update J highlighting

M  +80   -30   src/syntax/data/j.xml

http://commits.kde.org/ktexteditor/58d60c97ab1fb950a7bf257e2681b55aa4298d8e
Comment 7 Christoph Cullmann 2015-08-01 16:56:24 UTC
Git commit 74f0aa58b601dc720fd6c70c155111c90f482fd4 by Christoph Cullmann.
Committed on 01/08/2015 at 16:56.
Pushed by cullmann into branch 'master'.

add autotest for J hl

A  +75   -0    autotests/input/syntax/j/results/test.ijs.reference.html
A  +61   -0    autotests/input/syntax/j/test.ijs

http://commits.kde.org/ktexteditor/74f0aa58b601dc720fd6c70c155111c90f482fd4